# -*- encoding: utf-8 -*-
# stub: rbnacl 4.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "rbnacl".freeze
  s.version = "4.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tony Arcieri".freeze, "Jonathan Stott".freeze]
  s.date = "2017-03-13"
  s.description = "The Networking and Cryptography (NaCl) library provides a high-level toolkit for building cryptographic systems and protocols".freeze
  s.email = ["bascule@gmail.com".freeze, "jonathan.stott@gmail.com".freeze]
  s.files = [".coveralls.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".ruby-version".freeze, ".travis.yml".freeze, ".yardopts".freeze, "CHANGES.md".freeze, "Gemfile".freeze, "Guardfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "images/dragons.png".freeze, "images/ed25519.png".freeze, "images/hash.png".freeze, "images/logo.png".freeze, "lib/rbnacl.rb".freeze, "lib/rbnacl/aead/base.rb".freeze, "lib/rbnacl/aead/chacha20poly1305_ietf.rb".freeze, "lib/rbnacl/aead/chacha20poly1305_legacy.rb".freeze, "lib/rbnacl/auth.rb".freeze, "lib/rbnacl/boxes/curve25519xsalsa20poly1305.rb".freeze, "lib/rbnacl/boxes/curve25519xsalsa20poly1305/private_key.rb".freeze, "lib/rbnacl/boxes/curve25519xsalsa20poly1305/public_key.rb".freeze, "lib/rbnacl/group_elements/curve25519.rb".freeze, "lib/rbnacl/hash.rb".freeze, "lib/rbnacl/hash/blake2b.rb".freeze, "lib/rbnacl/hash/sha256.rb".freeze, "lib/rbnacl/hash/sha512.rb".freeze, "lib/rbnacl/hmac/sha256.rb".freeze, "lib/rbnacl/hmac/sha512.rb".freeze, "lib/rbnacl/hmac/sha512256.rb".freeze, "lib/rbnacl/init.rb".freeze, "lib/rbnacl/key_comparator.rb".freeze, "lib/rbnacl/one_time_auths/poly1305.rb".freeze, "lib/rbnacl/password_hash.rb".freeze, "lib/rbnacl/password_hash/argon2.rb".freeze, "lib/rbnacl/password_hash/scrypt.rb".freeze, "lib/rbnacl/random.rb".freeze, "lib/rbnacl/secret_boxes/xsalsa20poly1305.rb".freeze, "lib/rbnacl/self_test.rb".freeze, "lib/rbnacl/serializable.rb".freeze, "lib/rbnacl/signatures/ed25519.rb".freeze, "lib/rbnacl/signatures/ed25519/signing_key.rb".freeze, "lib/rbnacl/signatures/ed25519/verify_key.rb".freeze, "lib/rbnacl/simple_box.rb".freeze, "lib/rbnacl/sodium.rb".freeze, "lib/rbnacl/sodium/version.rb".freeze, "lib/rbnacl/test_vectors.rb".freeze, "lib/rbnacl/util.rb".freeze, "lib/rbnacl/version.rb".freeze, "rbnacl.gemspec".freeze, "spec/rbnacl/aead/chacha20poly1305_ietf_spec.rb".freeze, "spec/rbnacl/aead/chacha20poly1305_legacy_spec.rb".freeze, "spec/rbnacl/authenticators/poly1305_spec.rb".freeze, "spec/rbnacl/boxes/curve25519xsalsa20poly1305/private_key_spec.rb".freeze, "spec/rbnacl/boxes/curve25519xsalsa20poly1305/public_key_spec.rb".freeze, "spec/rbnacl/boxes/curve25519xsalsa20poly1305_spec.rb".freeze, "spec/rbnacl/group_element_spec.rb".freeze, "spec/rbnacl/hash/blake2b_spec.rb".freeze, "spec/rbnacl/hash_spec.rb".freeze, "spec/rbnacl/hmac/sha256_spec.rb".freeze, "spec/rbnacl/hmac/sha512256_spec.rb".freeze, "spec/rbnacl/hmac/sha512_spec.rb".freeze, "spec/rbnacl/password_hash/argon2_spec.rb".freeze, "spec/rbnacl/password_hash/scrypt_spec.rb".freeze, "spec/rbnacl/random_spec.rb".freeze, "spec/rbnacl/secret_box_spec.rb".freeze, "spec/rbnacl/signatures/ed25519/signing_key_spec.rb".freeze, "spec/rbnacl/signatures/ed25519/verify_key_spec.rb".freeze, "spec/rbnacl/simple_box_spec.rb".freeze, "spec/rbnacl/util_spec.rb".freeze, "spec/shared/aead.rb".freeze, "spec/shared/authenticator.rb".freeze, "spec/shared/box.rb".freeze, "spec/shared/key_equality.rb".freeze, "spec/shared/serializable.rb".freeze, "spec/spec_helper.rb".freeze, "tasks/rspec.rake".freeze, "tasks/rubocop.rake".freeze]
  s.homepage = "https://github.com/cryptosphere/rbnacl".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.6".freeze)
  s.rubygems_version = "3.2.33".freeze
  s.summary = "Ruby binding to the Networking and Cryptography (NaCl) library".freeze
  s.test_files = ["spec/rbnacl/aead/chacha20poly1305_ietf_spec.rb".freeze, "spec/rbnacl/aead/chacha20poly1305_legacy_spec.rb".freeze, "spec/rbnacl/authenticators/poly1305_spec.rb".freeze, "spec/rbnacl/boxes/curve25519xsalsa20poly1305/private_key_spec.rb".freeze, "spec/rbnacl/boxes/curve25519xsalsa20poly1305/public_key_spec.rb".freeze, "spec/rbnacl/boxes/curve25519xsalsa20poly1305_spec.rb".freeze, "spec/rbnacl/group_element_spec.rb".freeze, "spec/rbnacl/hash/blake2b_spec.rb".freeze, "spec/rbnacl/hash_spec.rb".freeze, "spec/rbnacl/hmac/sha256_spec.rb".freeze, "spec/rbnacl/hmac/sha512256_spec.rb".freeze, "spec/rbnacl/hmac/sha512_spec.rb".freeze, "spec/rbnacl/password_hash/argon2_spec.rb".freeze, "spec/rbnacl/password_hash/scrypt_spec.rb".freeze, "spec/rbnacl/random_spec.rb".freeze, "spec/rbnacl/secret_box_spec.rb".freeze, "spec/rbnacl/signatures/ed25519/signing_key_spec.rb".freeze, "spec/rbnacl/signatures/ed25519/verify_key_spec.rb".freeze, "spec/rbnacl/simple_box_spec.rb".freeze, "spec/rbnacl/util_spec.rb".freeze, "spec/shared/aead.rb".freeze, "spec/shared/authenticator.rb".freeze, "spec/shared/box.rb".freeze, "spec/shared/key_equality.rb".freeze, "spec/shared/serializable.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<ffi>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  else
    s.add_dependency(%q<ffi>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
  end
end

